/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: icons.cpp
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#include "icons.h"
#include "config/config.h"
#include <qfile.h>
#include <cstdlib>

namespace
{
	const char* GB_pngPath = "/png";

	const QString GB_actionsPngPath
								( "/usr/share/icons/hicolor/16x16/actions" );
};

Icons::Icons()
{
	QString actionPath = Config::instance().workingPath();
	
	mainF1_.load( actionPath + "/iconF1.xpm" );
	F1_.load( actionPath + "/f1_48_32.xpm" );

	const char* env = std::getenv( "ICONS_PISTEF1" );
	if ( env == NULL )
	{
		if ( QFile::exists( GB_actionsPngPath ) )
			actionPath		= GB_actionsPngPath;
		else
			actionPath		+=	GB_pngPath;
	}
	else
		actionPath = env;

	fileOpen_.load( actionPath + "/fileopen.png" );
	fileSave_.load( actionPath + "/filesave.png" );
	exit_.load( actionPath + "/exit.png" );

	start_.load( actionPath + "/flag.png" );
	pause_.load( actionPath + "/blend.png" );
	step_.load( actionPath + "/goto.png" );
	stop_.load( actionPath + "/stop.png" );

	undo_.load( actionPath + "/undo.png" );
	redo_.load( actionPath + "/redo.png" );

	preview_.load( actionPath + "/window_fullscreen.png" );
	refresh_.load( actionPath + "/reload.png" );
	correct_.load( actionPath + "/spellcheck.png" );
	
	script_.load( actionPath + "/attach.png" );

	color_.load( actionPath + "/colorpicker.png" );
	find_.load( actionPath + "/find.png" );
}

const Icons& Icons::instance()
{
	static Icons unique;
	return unique;
}



