/*****************************************************************************
 * F1 Racing diteur/simulateur
 * Fichier: script.h
 *
 * (c) Leroux philippe, 2003
 *
 *
 * This program is distributed under the terms of the GNU General Public
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/
#ifndef SCRIPT_H
#define SCRIPT_H
//==========================================================================
//	Script :
//		Mmorise les informations sur le script  excuter avant de lire
//		un fichier .f1
//
//		Le canal d'erreur du scrip est dirig dans le fichier Script::logFile
//
//==========================================================================

#include <sys/types.h>
#include <qstring.h>

class Script
{
public:
	static Script& instance() { return script_; }

	void setName( const QString& name )		{ name_ = name; }
	void setParams( const QString& params )	{ params_ = params; }
	void setOn( bool on ) { on_ = on; }
			
	QString name()			const { return name_; }
	QString params()		const { return params_; }
	bool	on()			const { return on_; }

	bool	exec();
	bool	running()		const { return pid_ != -1; }

	int		exitCode()		const { return exitCode_; }
	QString	error()			const { return msgError_; }

	static const QString logFile;

	void kill();

	~Script();

private:
	Script();
	Script( const Script& );
	void operator=( const Script& );

	void end( int );

private:
	QString	name_;
	QString params_;
	bool	on_;

	pid_t	pid_;
	int		exitCode_;
	QString msgError_;

	static void onSigChild( int );
	static Script script_;
};

#endif	// SCRIPT_H

